cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral

## Class RRI_I14

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral.RRI_I12_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral.RRI_I14

-     public final class RRI_I14
      extends RRI_I12_Common

  RRI_I14 - Cancel Patient Referral (Event I14). This message is use to be sent from one healthcare provider to another, for canceling a referral. A previous referral may have been made in error or perhaps the cancellation has come from the patient.

  Represents a RRI_I12 message structure (see chapter 11.5.4). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: MSA (Message Acknowledgment Segment) SINGLE_OPTIONAL
  4: RF1 (Referral Information Segment) SINGLE_OPTIONAL
  5: AUTHORIZATION_CONTACT (a Group in RRI_I12 message) SINGLE_OPTIONAL
  6: PROVIDER_CONTACT (a Group object) MULTIPLE_COMPULSARY
  7: PID (Patient Identification Segment) SINGLE_COMPULSARY
  8: ACC (Accident Segment) SINGLE_OPTIONAL
  9: DG1 (Diagnosis Segment) MULTIPLE_OPTIONAL
  10: DRG (Diagnosis Related Group Segment) MULTIPLE_OPTIONAL
  11: AL1 (Patient Allergy Information Segment) MULTIPLE_OPTIONAL
  12: PROCEDURE (a Group in RRI_I12 message) MULTIPLE_OPTIONAL
  13: OBSERVATION (a Group in RRI_I12 message) MULTIPLE_OPTIONAL
  14: PATIENT_VISIT (a Group in RRI_I12 message) SINGLE_OPTIONAL
  15: NTE (Notes and Comments Segment) MULTIPLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  RRI_I14 objI14 = (RRI_I14)MessageFactory.createInstance().createSendSupportedMessage("RRI", "I14");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral.RRI_I12_Common

      `addAllergyInformationSegment, addAllergyInformationSegments, addDiagnosisRelatedGroupSegment, addDiagnosisRelatedGroupSegments, addDiagnosisSegment, addDiagnosisSegments, addNotesAndCommentsSegment, addNotesAndCommentsSegments, addObservationGroup, addObservationGroups, addProcedureGroup, addProcedureGroups, addProviderContactGroup, addProviderContactGroups, addSoftwareSegment, addSoftwareSegment, getAccidentInformationSegment, getAllergyInformationSegments, getAuthorizationContactGroup, getDiagnosisRelatedGroupSegments, getDiagnosisSegments, getMessageAcknowledgmentSegment, getNotesAndCommentsSegments, getObservationGroups, getPatientIdentificationSegment, getPatientVisitGroup, getProcedureGroups, getProviderContactGroups, getReferralInformationSegment, getSoftwareSegments, getUserAuthenticationCredentialSegment, setAccidentInformationSegment, setAuthorizationContactGroup, setMessageAcknowledgmentSegment, setPatientIdentificationSegment, setPatientVisitGroup, setReferralInformationSegment, setUserAuthenticationCredentialSegment`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`